DROP TABLE IF EXISTS `t_my_file`;
CREATE TABLE `t_my_file`
(
    `id`          int(11) NOT NULL AUTO_INCREMENT,
    `name`        varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
    `url`         varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
    `sorted`      int(11) NULL DEFAULT NULL,
    `create_time` datetime NULL DEFAULT NULL,
    `create_by`   varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
    `update_time` datetime NULL DEFAULT NULL,
    `remark`      varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
    `file_size`   varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB  CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Compact;


INSERT INTO `sys_menu`
VALUES (33, 1, 0, 104, 0, 'file', 'file-export', '文件管理', '/file', 'LAYOUT', '', NULL);
INSERT INTO `sys_menu`
VALUES (34, 1, 0, 1, 33, 'index', '', '文件管理', 'index', '/file/index', '', '');
INSERT INTO `sys_menu`
VALUES (35, 1, 0, 2, 33, 'download', '', '文件下载', 'download', '/file/download', '', '');

