package com.sy.coinage.app.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sy.coinage.app.req.vo.CheckDetailVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class CheckInfoVO {

    @ApiModelProperty(value = "id")
    @TableField(value = "id")
    private Integer id;

    @ApiModelProperty(value = "抽检单号(唯一标识)")
    @TableField(value = "order_no")
    private String orderNo;

    @ApiModelProperty(value = "抽检箱子总数量")
    @TableField(value = "qty")
    private Integer qty;

    @ApiModelProperty(value = "品名id")
    @TableField(value = "securities_id")
    private Integer securitiesId;

    @ApiModelProperty(value = "品名")
    @TableField(value = "securities")
    private String securities;

    @ApiModelProperty(value = "总库仓库ID")
    @TableField(value = "ware_id")
    private Integer wareId;

    @ApiModelProperty(value = "目标部门ID")
    @TableField(value = "dept_id")
    private Integer deptId;

    @ApiModelProperty(value = "初始明细列表")
    private List<CheckDetailVO> initList;

    @ApiModelProperty(value = "抽检返回抽检入主库已经确认明细列表")
    private List<CheckDetailVO> opList;

    @ApiModelProperty(value = "车间临时库(剔除品)接收主库的列表")
    private List<CheckDetailVO> shopReceiveList;

    @ApiModelProperty(value = "车间临时库(成品)接收机台")
    private List<CheckDetailVO> shopInProList;

    @ApiModelProperty(value = "车间临时库(剔除品)出库机台的列表")
    private List<CheckDetailVO> shopOutMachineList;

    @ApiModelProperty(value = "车间成品库出库到主库的列表")
    private List<CheckDetailVO> shopOutList;

}
