package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class LoginByCardReq {

    @ApiModelProperty(value = "卡号：每个卡号对应一个员工编号，使用卡号进行登录")
    @NotBlank(message = "卡号不能为空")
    private String card;

}
