package com.sy.coinage.workshop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sy.coinage.app.req.DeliveryUpdateReq;
import com.sy.coinage.app.req.DeliveryWareConfirmReq;
import com.sy.coinage.core.vo.CacheUserVO;
import com.sy.coinage.workshop.model.*;
import com.sy.coinage.workshop.req.*;
import com.sy.coinage.workshop.vo.*;

/**
 * -发货单主表Service
 */
public interface IDeliveryService extends IService<Delivery> {
    void wareConfirm(DeliveryWareConfirmReq req, CacheUserVO user);

    void update(DeliveryUpdateReq req, CacheUserVO user);

    void print(Integer id, CacheUserVO user);

}
