package com.sy.coinage.workshop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sy.coinage.workshop.model.*;
import com.sy.coinage.workshop.req.*;
import com.sy.coinage.workshop.vo.*;

/**
 * -I入库表主表Service
 */
public interface ILogisticsService extends IService<Logistics> {


    /**
     * @param rfid
     * @param serialNumber
     * @param wareId
     * @param wareCn
     * @param status
     * @param checkId
     * @param checker
     * @param operatorId
     * @param operator
     * @param crownBetween 冠字号范围(抽检/拆包冠字号),从传入的rfid到基础信息里获取
     * @param addressCn    发货地址（仅是发货状态下）
     */
    void add(String rfid, String serialNumber,
             Integer wareId, String wareCn, Integer status, Integer checkId, String checker,
             Integer operatorId, String operator, String crownBetween, String addressCn);

    void addHalfBind(String rfid, String serialNumber,
                     Integer wareId, String wareCn, Integer status, Integer checkId, String checker,
                     Integer operatorId, String operator, String crownBetween, String addressCn, String rfidSrc);

}
