DROP TABLE IF EXISTS `rfid_product_plan`;
CREATE TABLE `rfid_product_plan`
(
    `id`           int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
    `securities`   varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品名称',
    `crown_prefix` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '冠字号代码',
    `status`       int(11) NULL DEFAULT NULL COMMENT '是否启用 1:启用 2:停用',
    `create_time`  datetime NULL DEFAULT NULL COMMENT '创建时间',
    `crown_from`   varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '冠字号起始',
    `crown_to`     varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '冠字号结束点',
    `product_id`   int(11) NULL DEFAULT NULL COMMENT '产品id',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '产品计划表' ROW_FORMAT = Compact;

INSERT INTO `tenant_coinage`.`sys_menu` (`id`, `status`, `hide_menu`, `sorted`, `pid`, `name`, `icon`, `title`, `path`,
                                         `component`, `redirect`, `permission`)
VALUES (NULL, 1, 0, 3, 12, 'productPlan', '', '产品计划管理', 'productPlan', '/workshop/product/productPlan', '', NULL)

