package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * 部门添加请求bean
 */
@Data
public class AdminDeptReq extends DeptReq {

    @ApiModelProperty(value = "租户id")
    @NotNull(message = "租户id不能为空")
    private Integer tenantId;

}
