package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * 省市区查询请求bean
 */
@Getter
@Setter
public class RegionListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 地区等级 1省 2市 3区 -3
     */
    @ApiModelProperty(value = "地区等级 1省 2市 3区")
    private Integer levels;

    /**
     * 地区名称 -20
     */
    @ApiModelProperty(value = "地区名称")
    private String name;

}
