package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import java.util.List;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import lombok.Data;

@Data
public class UserRoleAddReq {

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    @NotNull(message = "用户id不能为空")
    private Integer userId;

    @ApiModelProperty(value = "角色ids")
    @NotEmpty(message = "角色ids不能为空")
    private List<@NotNull Integer> roleIds;

}
