package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -列表查询请求bean
 */
@Getter
@Setter
public class WorkshopOutboundDetailListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -出库单ID,对应outbound表中ID -10
     */
    @ApiModelProperty(value = "出库单ID,对应outbound表中ID")
    private Integer outId;

}
