package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * BaseInfoSub查询响应bean
 */
@Data
public class BaseInfoSubVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -主表id
     */
    @ApiModelProperty(value = "主表id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "base_info_id")
    private Integer baseInfoId;
    /**
     * -编号:沈币产品自有编号
     */
    @ApiModelProperty(value = "编号:沈币产品自有编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -冠字号前缀
     */
    @ApiModelProperty(value = "冠字号前缀")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_prefix")
    private String crownPrefix;
    /**
     * -起始值
     */
    @ApiModelProperty(value = "起始值")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_from")
    private String crownFrom;
    /**
     * -冠字号结束值
     */
    @ApiModelProperty(value = "冠字号结束值")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_to")
    private String crownTo;
}
